Module java.desktop
Package java.awt

# Class TextField.AccessibleAWTTextField

java.lang.Object
javax.accessibility.AccessibleContext
java.awt.Component.AccessibleAWTComponent
java.awt.TextComponent.AccessibleAWTTextComponent
java.awt.TextField.AccessibleAWTTextField

All Implemented Interfaces:
  `TextListener`, `Serializable`, `EventListener`, `AccessibleComponent`, `AccessibleText`

Enclosing class:
  TextField

protected class TextField.AccessibleAWTTextField extends TextComponent.AccessibleAWTTextComponent
This class implements accessibility support for the `TextField` class. It provides an implementation of the Java Accessibility API appropriate to text field user-interface elements.

Since:
  1.3
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces declared in class java.awt.Component.AccessibleAWTComponent

`Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

## Field Summary

### Fields declared in class java.awt.Component.AccessibleAWTComponent

`accessibleAWTComponentHandler, accessibleAWTFocusHandler`

### Fields declared in class javax.accessibility.AccessibleContext

`ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

### Fields declared in interface javax.accessibility.AccessibleText

`CHARACTER, SENTENCE, WORD`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AccessibleAWTTextField()`
Constructs an `AccessibleAWTTextField`.

## Method Summary

Modifier and Type
Method
Description
`AccessibleStateSet`
`getAccessibleStateSet()`
Gets the state set of this object.

### Methods declared in class java.awt.TextComponent.AccessibleAWTTextComponent

`getAccessibleRole, getAccessibleText, getAfterIndex, getAtIndex, getBeforeIndex, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getIndexAtPoint, getSelectedText, getSelectionEnd, getSelectionStart, textValueChanged`

### Methods declared in class java.awt.Component.AccessibleAWTComponent

`addFocusListener, addPropertyChangeListener, contains, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAccessibleComponent, getAccessibleDescription, getAccessibleIndexInParent, getAccessibleName, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, removePropertyChangeListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

### Methods declared in class javax.accessibility.AccessibleContext

`firePropertyChange, getAccessibleAction, getAccessibleEditableText, getAccessibleIcon, getAccessibleRelationSet, getAccessibleSelection, getAccessibleTable, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessibleAWTTextField

protected AccessibleAWTTextField()
Constructs an `AccessibleAWTTextField`.

## Method Details

### getAccessibleStateSet

public AccessibleStateSet getAccessibleStateSet()
Gets the state set of this object.

Overrides:
  `getAccessibleStateSet` in class `TextComponent.AccessibleAWTTextComponent`
Returns:
  an instance of AccessibleStateSet describing the states of the object
See Also:
  - `AccessibleState`